#ifndef __CUBE_ANIMATIONS__
#define __CUBE_ANIMATIONS__
#include "LedCube.h"

class CubeAnimations{



public:
  CubeAnimations(
    LedCube myCube,
    unsigned char throttle,
    unsigned int duration
  );
  void start(void);
  void stop(void);
  void setSpeed(unsigned char throttle);
  void setDuration(unsigned int duration);
  bool isRunning(void);

  void glow(void);
  void glitter( unsigned char filling);
  void shaded_glitter(unsigned char filling);
  void dimed_glitter(unsigned char filling);


private:
  void startAnimation(void);
  void wait(unsigned long time);

  LedCube myCube;
  unsigned char status;
  unsigned char speed;
  unsigned int duration;
  unsigned long effect_ende;
};


#endif //__CUBE_ANIMATIONS__
